// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\EXCEL.EXE
// check for latest version at http://www.composiasoft.com

package Excel;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;

import Office.*;

public class Shape extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{00024439-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Shape.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Shape Object
     */
    public Shape() throws COMException {
        super();
    }
    /**
     * Creates Shape Object with progID
     */
    public Shape(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Shape Object
     */
    public Shape(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Shape Object with CLSID
     */
    public Shape(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public void Apply() throws COMException {
        invoke("Apply");
    }
    /**
     * 
     */
    public void Delete() throws COMException {
        invoke("Delete");
    }
    /**
     * 
     */
    public Shape Duplicate() throws COMException {
        return new Shape((DispatchPtr) invoke("Duplicate"));
    }
    /**
     * 
     */
    public void Flip(int FlipCmd) throws COMException {
        invokeN("Flip", new Object[]{new java.lang.Integer(FlipCmd)}, 1);
    }
    /**
     * 
     */
    public void IncrementLeft(float Increment) throws COMException {
        invokeN("IncrementLeft", new Object[]{new java.lang.Float(Increment)}, 1);
    }
    /**
     * 
     */
    public void IncrementRotation(float Increment) throws COMException {
        invokeN("IncrementRotation", new Object[]{new java.lang.Float(Increment)}, 1);
    }
    /**
     * 
     */
    public void IncrementTop(float Increment) throws COMException {
        invokeN("IncrementTop", new Object[]{new java.lang.Float(Increment)}, 1);
    }
    /**
     * 
     */
    public void PickUp() throws COMException {
        invoke("PickUp");
    }
    /**
     * 
     */
    public void RerouteConnections() throws COMException {
        invoke("RerouteConnections");
    }
    /**
     * 
     */
    public void ScaleHeight(float Factor, int RelativeToOriginalSize) throws COMException {
        invokeN("ScaleHeight", new Object[]{new java.lang.Float(Factor), new java.lang.Integer(RelativeToOriginalSize)}, 2);
    }
    public void ScaleHeight(float Factor, int RelativeToOriginalSize, java.lang.Object Scale) throws COMException {
        invokeN("ScaleHeight", new Object[]{new java.lang.Float(Factor), new java.lang.Integer(RelativeToOriginalSize), Scale}, 3);
    }
    /**
     * 
     */
    public void ScaleWidth(float Factor, int RelativeToOriginalSize) throws COMException {
        invokeN("ScaleWidth", new Object[]{new java.lang.Float(Factor), new java.lang.Integer(RelativeToOriginalSize)}, 2);
    }
    public void ScaleWidth(float Factor, int RelativeToOriginalSize, java.lang.Object Scale) throws COMException {
        invokeN("ScaleWidth", new Object[]{new java.lang.Float(Factor), new java.lang.Integer(RelativeToOriginalSize), Scale}, 3);
    }
    /**
     * 
     */
    public void Select() throws COMException {
        invoke("Select");
    }
    public void Select(java.lang.Object Replace) throws COMException {
        invokeN("Select", new Object[]{Replace}, 1);
    }
    /**
     * 
     */
    public void SetShapesDefaultProperties() throws COMException {
        invoke("SetShapesDefaultProperties");
    }
    /**
     * 
     */
    public ShapeRange Ungroup() throws COMException {
        return new ShapeRange((DispatchPtr) invoke("Ungroup"));
    }
    /**
     * 
     */
    public void ZOrder(int ZOrderCmd) throws COMException {
        invokeN("ZOrder", new Object[]{new java.lang.Integer(ZOrderCmd)}, 1);
    }
    /**
     * 
     */
    public Adjustments getAdjustments() throws COMException {
        return new Adjustments((DispatchPtr) get("Adjustments"));
    }
    /**
     * 
     */
    public TextFrame getTextFrame() throws COMException {
        return new TextFrame((DispatchPtr) get("TextFrame"));
    }
    /**
     * 
     */
    public int getAutoShapeType() throws COMException {
        return ((java.lang.Integer) get("AutoShapeType")).intValue();
    }
    /**
     * 
     */
    public void setAutoShapeType(int newAutoShapeType) throws COMException {
        put("AutoShapeType", new java.lang.Integer(newAutoShapeType));
    }
    /**
     * 
     */
    public CalloutFormat getCallout() throws COMException {
        return new CalloutFormat((DispatchPtr) get("Callout"));
    }
    /**
     * 
     */
    public int getConnectionSiteCount() throws COMException {
        return ((java.lang.Integer) get("ConnectionSiteCount")).intValue();
    }
    /**
     * 
     */
    public int getConnector() throws COMException {
        return ((java.lang.Integer) get("Connector")).intValue();
    }
    /**
     * 
     */
    public ConnectorFormat getConnectorFormat() throws COMException {
        return new ConnectorFormat((DispatchPtr) get("ConnectorFormat"));
    }
    /**
     * 
     */
    public FillFormat getFill() throws COMException {
        return new FillFormat((DispatchPtr) get("Fill"));
    }
    /**
     * 
     */
    public GroupShapes getGroupItems() throws COMException {
        return new GroupShapes((DispatchPtr) get("GroupItems"));
    }
    /**
     * 
     */
    public float getHeight() throws COMException {
        return ((java.lang.Float) get("Height")).floatValue();
    }
    /**
     * 
     */
    public void setHeight(float newHeight) throws COMException {
        put("Height", new java.lang.Float(newHeight));
    }
    /**
     * 
     */
    public int getHorizontalFlip() throws COMException {
        return ((java.lang.Integer) get("HorizontalFlip")).intValue();
    }
    /**
     * 
     */
    public float getLeft() throws COMException {
        return ((java.lang.Float) get("Left")).floatValue();
    }
    /**
     * 
     */
    public void setLeft(float newLeft) throws COMException {
        put("Left", new java.lang.Float(newLeft));
    }
    /**
     * 
     */
    public LineFormat getLine() throws COMException {
        return new LineFormat((DispatchPtr) get("Line"));
    }
    /**
     * 
     */
    public int getLockAspectRatio() throws COMException {
        return ((java.lang.Integer) get("LockAspectRatio")).intValue();
    }
    /**
     * 
     */
    public void setLockAspectRatio(int newLockAspectRatio) throws COMException {
        put("LockAspectRatio", new java.lang.Integer(newLockAspectRatio));
    }
    /**
     * 
     */
    public java.lang.String getName() throws COMException {
        return (java.lang.String) get("Name");
    }
    /**
     * 
     */
    public void setName(java.lang.String newName) throws COMException {
        put("Name", newName);
    }
    /**
     * 
     */
    public ShapeNodes getNodes() throws COMException {
        return new ShapeNodes((DispatchPtr) get("Nodes"));
    }
    /**
     * 
     */
    public float getRotation() throws COMException {
        return ((java.lang.Float) get("Rotation")).floatValue();
    }
    /**
     * 
     */
    public void setRotation(float newRotation) throws COMException {
        put("Rotation", new java.lang.Float(newRotation));
    }
    /**
     * 
     */
    public PictureFormat getPictureFormat() throws COMException {
        return new PictureFormat((DispatchPtr) get("PictureFormat"));
    }
    /**
     * 
     */
    public ShadowFormat getShadow() throws COMException {
        return new ShadowFormat((DispatchPtr) get("Shadow"));
    }
    /**
     * 
     */
    public TextEffectFormat getTextEffect() throws COMException {
        return new TextEffectFormat((DispatchPtr) get("TextEffect"));
    }
    /**
     * 
     */
    public ThreeDFormat getThreeD() throws COMException {
        return new ThreeDFormat((DispatchPtr) get("ThreeD"));
    }
    /**
     * 
     */
    public float getTop() throws COMException {
        return ((java.lang.Float) get("Top")).floatValue();
    }
    /**
     * 
     */
    public void setTop(float newTop) throws COMException {
        put("Top", new java.lang.Float(newTop));
    }
    /**
     * 
     */
    public int getType() throws COMException {
        return ((java.lang.Integer) get("Type")).intValue();
    }
    /**
     * 
     */
    public int getVerticalFlip() throws COMException {
        return ((java.lang.Integer) get("VerticalFlip")).intValue();
    }
    /**
     * 
     */
    public java.lang.Object getVertices() throws COMException {
        return (java.lang.Object) get("Vertices");
    }
    /**
     * 
     */
    public int getVisible() throws COMException {
        return ((java.lang.Integer) get("Visible")).intValue();
    }
    /**
     * 
     */
    public void setVisible(int newVisible) throws COMException {
        put("Visible", new java.lang.Integer(newVisible));
    }
    /**
     * 
     */
    public float getWidth() throws COMException {
        return ((java.lang.Float) get("Width")).floatValue();
    }
    /**
     * 
     */
    public void setWidth(float newWidth) throws COMException {
        put("Width", new java.lang.Float(newWidth));
    }
    /**
     * 
     */
    public int getZOrderPosition() throws COMException {
        return ((java.lang.Integer) get("ZOrderPosition")).intValue();
    }
    /**
     * 
     */
    public Hyperlink getHyperlink() throws COMException {
        return new Hyperlink((DispatchPtr) get("Hyperlink"));
    }
    /**
     * 
     */
    public int getBlackWhiteMode() throws COMException {
        return ((java.lang.Integer) get("BlackWhiteMode")).intValue();
    }
    /**
     * 
     */
    public void setBlackWhiteMode(int newBlackWhiteMode) throws COMException {
        put("BlackWhiteMode", new java.lang.Integer(newBlackWhiteMode));
    }
    /**
     * 
     */
    public DispatchPtr getDrawingObject() throws COMException {
        return (DispatchPtr) get("DrawingObject");
    }
    /**
     * 
     */
    public java.lang.String getOnAction() throws COMException {
        return (java.lang.String) get("OnAction");
    }
    /**
     * 
     */
    public void setOnAction(java.lang.String newOnAction) throws COMException {
        put("OnAction", newOnAction);
    }
    /**
     * 
     */
    public boolean getLocked() throws COMException {
        return ((java.lang.Boolean) get("Locked")).booleanValue();
    }
    /**
     * 
     */
    public void setLocked(boolean newLocked) throws COMException {
        put("Locked", new java.lang.Boolean(newLocked));
    }
    /**
     * 
     */
    public Range getTopLeftCell() throws COMException {
        return new Range((DispatchPtr) get("TopLeftCell"));
    }
    /**
     * 
     */
    public Range getBottomRightCell() throws COMException {
        return new Range((DispatchPtr) get("BottomRightCell"));
    }
    /**
     * 
     */
    public int getPlacement() throws COMException {
        return ((java.lang.Integer) get("Placement")).intValue();
    }
    /**
     * 
     */
    public void setPlacement(int newPlacement) throws COMException {
        put("Placement", new java.lang.Integer(newPlacement));
    }
    /**
     * 
     */
    public void Copy() throws COMException {
        invoke("Copy");
    }
    /**
     * 
     */
    public void Cut() throws COMException {
        invoke("Cut");
    }
    /**
     * 
     */
    public void CopyPicture() throws COMException {
        invoke("CopyPicture");
    }
    public void CopyPicture(java.lang.Object Appearance) throws COMException {
        invokeN("CopyPicture", new Object[]{Appearance}, 1);
    }
    public void CopyPicture(java.lang.Object Appearance, java.lang.Object Format) throws COMException {
        invokeN("CopyPicture", new Object[]{Appearance, Format}, 2);
    }
    /**
     * 
     */
    public ControlFormat getControlFormat() throws COMException {
        return new ControlFormat((DispatchPtr) get("ControlFormat"));
    }
    /**
     * 
     */
    public LinkFormat getLinkFormat() throws COMException {
        return new LinkFormat((DispatchPtr) get("LinkFormat"));
    }
    /**
     * 
     */
    public OLEFormat getOLEFormat() throws COMException {
        return new OLEFormat((DispatchPtr) get("OLEFormat"));
    }
    /**
     * 
     */
    public int getFormControlType() throws COMException {
        return ((java.lang.Integer) get("FormControlType")).intValue();
    }
    /**
     * 
     */
    public java.lang.String getAlternativeText() throws COMException {
        return (java.lang.String) get("AlternativeText");
    }
    /**
     * 
     */
    public void setAlternativeText(java.lang.String newAlternativeText) throws COMException {
        put("AlternativeText", newAlternativeText);
    }
    /**
     * 
     */
    public Office.Script getScript() throws COMException {
        return new Office.Script((DispatchPtr) get("Script"));
    }
    /**
     * 
     */
    public DiagramNode getDiagramNode() throws COMException {
        return new DiagramNode((DispatchPtr) get("DiagramNode"));
    }
    /**
     * 
     */
    public int getHasDiagramNode() throws COMException {
        return ((java.lang.Integer) get("HasDiagramNode")).intValue();
    }
    /**
     * 
     */
    public Diagram getDiagram() throws COMException {
        return new Diagram((DispatchPtr) get("Diagram"));
    }
    /**
     * 
     */
    public int getHasDiagram() throws COMException {
        return ((java.lang.Integer) get("HasDiagram")).intValue();
    }
    /**
     * 
     */
    public int getChild() throws COMException {
        return ((java.lang.Integer) get("Child")).intValue();
    }
    /**
     * 
     */
    public Shape getParentGroup() throws COMException {
        return new Shape((DispatchPtr) get("ParentGroup"));
    }
    /**
     * 
     */
    public Office.CanvasShapes getCanvasItems() throws COMException {
        return new Office.CanvasShapes((DispatchPtr) get("CanvasItems"));
    }
    /**
     * 
     */
    public int getID() throws COMException {
        return ((java.lang.Integer) get("ID")).intValue();
    }
    /**
     * 
     */
    public void CanvasCropLeft(float Increment) throws COMException {
        invokeN("CanvasCropLeft", new Object[]{new java.lang.Float(Increment)}, 1);
    }
    /**
     * 
     */
    public void CanvasCropTop(float Increment) throws COMException {
        invokeN("CanvasCropTop", new Object[]{new java.lang.Float(Increment)}, 1);
    }
    /**
     * 
     */
    public void CanvasCropRight(float Increment) throws COMException {
        invokeN("CanvasCropRight", new Object[]{new java.lang.Float(Increment)}, 1);
    }
    /**
     * 
     */
    public void CanvasCropBottom(float Increment) throws COMException {
        invokeN("CanvasCropBottom", new Object[]{new java.lang.Float(Increment)}, 1);
    }
}
