// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\lmrt.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDAGeometry extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{C46C1BDF-3C52-11D0-9200-848C1D000000}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDAGeometry.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDAGeometry Object
     */
    public IDAGeometry() throws COMException {
        super();
    }
    /**
     * Creates IDAGeometry Object with progID
     */
    public IDAGeometry(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDAGeometry Object
     */
    public IDAGeometry(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDAGeometry Object with CLSID
     */
    public IDAGeometry(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDASound RenderSound(IDAMicrophone mic_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("RenderSound", new Object[]{mic_0}, 1));
    }
    /**
     * 
     */
    public IDAPickableResult Pickable() throws COMException {
        return new IDAPickableResult((DispatchPtr) invoke("Pickable"));
    }
    /**
     * 
     */
    public IDAPickableResult PickableOccluded() throws COMException {
        return new IDAPickableResult((DispatchPtr) invoke("PickableOccluded"));
    }
    /**
     * 
     */
    public IDAGeometry Undetectable() throws COMException {
        return new IDAGeometry((DispatchPtr) invoke("Undetectable"));
    }
    /**
     * 
     */
    public IDAGeometry EmissiveColor(IDAColor col_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("EmissiveColor", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry DiffuseColor(IDAColor col_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("DiffuseColor", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry SpecularColor(IDAColor col_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpecularColor", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry SpecularExponent(double power_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpecularExponent", new Object[]{new java.lang.Double(power_0)}, 1));
    }
    /**
     * 
     */
    public IDAGeometry SpecularExponentAnim(IDANumber power_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpecularExponentAnim", new Object[]{power_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Texture(IDAImage texture_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Texture", new Object[]{texture_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Opacity(double level_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Opacity", new Object[]{new java.lang.Double(level_0)}, 1));
    }
    /**
     * 
     */
    public IDAGeometry OpacityAnim(IDANumber level_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("OpacityAnim", new Object[]{level_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Transform(IDATransform3 xf_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Transform", new Object[]{xf_0}, 1));
    }
    /**
     * 
     */
    public IDABbox3 getBoundingBox() throws COMException {
        return new IDABbox3((DispatchPtr) get("BoundingBox"));
    }
    /**
     * 
     */
    public IDAImage Render(IDACamera cam_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Render", new Object[]{cam_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry LightColor(IDAColor color_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightColor", new Object[]{color_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry LightAttenuationAnim(IDANumber constant_0, IDANumber linear_1, IDANumber quadratic_2) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightAttenuationAnim", new Object[]{constant_0, linear_1, quadratic_2}, 3));
    }
    /**
     * 
     */
    public IDAGeometry LightAttenuation(double constant_0, double linear_1, double quadratic_2) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightAttenuation", new Object[]{new java.lang.Double(constant_0), new java.lang.Double(linear_1), new java.lang.Double(quadratic_2)}, 3));
    }
}
