import com.develop.jawin.AXComponent;
import com.develop.jawin.COMException;
import ShockwaveFlashObjects.IShockwaveFlash;
import ShockwaveFlashObjects._IShockwaveFlashEvents;

public class FlashComponent extends AXComponent
implements _IShockwaveFlashEvents, com.develop.jawin.constants.DispatchConstants {
    // members
    Object parent;
    Object listener;
    IShockwaveFlash control;
    
    // constructor
    public FlashComponent(Object parent) throws COMException {
        super(ShockwaveFlashObjects.ShockwaveFlash.progID);
        this.parent = parent;
    }
    
    //==========================================================================
    // Standard ActiveX init and destroy
    //
    // initInstance *should* be called on startup, but never is :-(
    //==========================================================================
    public void initInstance() throws COMException {
        System.out.println("initInstance called!!");
        
        // init the control
        // register this object as a listener for events
        // invoke the control to load a file from a known URL
        control = new IShockwaveFlash(getControl());
        listener = control.addEventListener(_IShockwaveFlashEvents.class, this);
        control.LoadMovie(0, "http://atomfilms.shockwave.com/afassets/flash/hump_starwars.swf");
    }
    
    public void exitInstance() throws COMException {
        control.close();
    }
    
    //==========================================================================
    // _IShockwaveFlashEvents implementations
    //
    // Simply print out a string to acknowledge the method call
    //==========================================================================
    public void OnReadyStateChange(Object srcObj, int newState) throws COMException {
        System.out.println("OnReadyStateChange: " + srcObj + ", " + newState);
    }
    
    public void OnProgress(Object srcObj, int percentDone) throws COMException {
        System.out.println("OnProgress: " + srcObj + ", " + percentDone);
    }
    
    public void FSCommand(Object srcObj, java.lang.String command, java.lang.String args) throws COMException {
        System.out.println("FSCommand: " + srcObj + ", " + command + ", " + args);
    }
}
